Create a log

POST
https://apis-spb.konso.io/logs/{bucketId}

Parameters

timeStamp number required

Error's Unix time

level string required

The level of the Error

message string required

The Error message

machineName string

Host name where error occured

eventId number
appName string required

Service name

env string

Environment

appVersion string
runtimeVersion string
runtime number

Response

201 Log created successfully

Response Schema

Type: GenericResultResponse<bool>
result (bool)
curl --request POST \
  --url https://apis-spb.konso.io/logs/{bucketId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: {your-api-key}' \
  --data '{
  "timeStamp": 1773279808477,
  "level": "error",
  "message": "Example message",
  "machineName": "Example Name",
  "eventId": 12345,
  "appName": "Example Name",
  "env": "production",
  "appVersion": "1.0.0",
  "runtimeVersion": "1.0.0",
  "runtime": 42
}'
Request Body Example
{
  "timeStamp": 1773279808477,
  "level": "error",
  "message": "Example message",
  "machineName": "Example Name",
  "eventId": 12345,
  "appName": "Example Name",
  "env": "production",
  "appVersion": "1.0.0",
  "runtimeVersion": "1.0.0",
  "runtime": 42
}
application/json
Response Example
201
{
  "result": true
}
application/json

Оставаясь на сайте, Вы даете свое согласие на использование файлов cookie